1. 3 History Dataset
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 3 History Dataset

3.3 Vessel Port Call History

GET
https://api.elaneglobal.com/v1/History/PortCallRecordsByVessel

Description#

The Vessel Port Call History queries a vessel’s historical port call records within a specified time period. It returns the vessel’s anchorage arrival time, port limits arrival time, berthing time, port dwell time, inbound and outbound draft conditions, and other relevant details.

Use Cases#

1.
Maritime Supervision
Analyze whether foreign vessels have berthed at high-risk ports based on historical berthing records, and verify the authenticity and accuracy of entry declaration information.
2.
Logistics Tracking
Track vessel voyage information, settle freight and trace logistics records based on actual port call times and voyage durations, and verify cargo loading/unloading activities by changes in vessel draft.
3.
Financial & Insurance
Compare and verify port call records and draft change records for each vessel voyage against shipping order data, to conduct vessel risk assessment and analysis.

Request Limits#

An API key must be created before using this service.
Service calls are subject to quota restrictions according to your permission type.
This service queries port call records within the latest month by default. To view your current service access permissions or enable the query for port call records covering 6 months, 12 months or a longer period, please contact our support team: support@elaneglobal.com.

Endpoint#

EndpointHTTP Method
https://api.elaneglobal.com/v1/History/PortCallRecordsByVesselGET

Example API Call#

https://api.elaneglobal.com/v1/History/PortCallRecordsByVessel?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&start_time=1744967589&end_time=1745572389
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of elaneglobal.com, bound to the domain api.elaneglobal.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please contact our support team: support@elaneglobal.com.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/History/PortCallRecordsByVessel?key=1F6D701272402D1E7D8D316CCE519123&mmsi=477172700&imo&ship_name&call_sign&start_time=1744967589&end_time=1745572389&time_zone'

Responses

⚪0success
application/json
Body

Example
{
  "status": 0,
  "msg": "",
  "data": [
    {
      "ship_name": "COSCOSHIPPINGLIBRA",
      "call_sign": "VRRV4",
      "imo": 9783538,
      "mmsi": 477172700,
      "ship_type": 71,
      "port_cnname": "广州",
      "port_name": "Guangzhou",
      "port_time_zone": "+8",
      "port_code": "CNGZG",
      "terminal_name": "",
      "berth_name": "",
      "port_country_cnname": "中国",
      "port_country_name": "China",
      "port_country_code": "CN",
      "arrval_anchorage": ,
      "ata": 1745058319,
      "atb": 1745058319,
      "atd": 1745120468,
      "arrival_draught": 13.5,
      "departure_draught": 14.5,
      "stay_time": 17.26,
      "stay_interminal_time": 17.26
    }
  ]
}
Previous
3.2 Ship-to-Ship (STS) Events
Next
3.4 Vessel Port Call Records at Specific Port
Built with